
From: Herbert Xu <herbert@gondor.apana.org.au>

The free_netdev fixes in 2.6.0-test4 broke drivers/net/wan/cosa.c.
This patch fixes it.



 drivers/net/wan/cosa.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/net/wan/cosa.c~cosa-free_netdev-fix drivers/net/wan/cosa.c
--- 25/drivers/net/wan/cosa.c~cosa-free_netdev-fix	2003-08-29 23:00:52.000000000 -0700
+++ 25-akpm/drivers/net/wan/cosa.c	2003-08-29 23:00:52.000000000 -0700
@@ -632,7 +632,7 @@ static void sppp_channel_delete(struct c
 {
 	sppp_detach(chan->pppdev.dev);
 	unregister_netdev(chan->pppdev.dev);
-	free_netdev(chan->ppp.dev);
+	free_netdev(chan->pppdev.dev);
 }
 
 static int cosa_sppp_open(struct net_device *d)

_
